<?
error_reporting(2047);
include '../../system/core.php';
$_title = 'Поднять тему в топ';
include '../../system/header.php';
$id_t = TextGuard($_GET['id']);
$forum_t = mysql_fetch_array(mysql_query('select * from `forum_t` where `id` = "'.$id_t.'"'));

  if($forum_t == 0 or $user['id'] != $forum_t['author'] or $user['status'] < 1){
  header('Location: /forum'); exit;
  }
if($forum_t['top'] == 0){
echo '<div class="tegi">Закрепить тему в топ</div>';

if(isset($_GET['top'])){
	$days = TextGuard($_POST['days']);
	$cost = $days*4;
	$topdate = time()+($days*86400);
	if(empty($id_t)) $err[] = 'Введите ID топика!';
    if(empty($days)) $err[] = 'Введите кол-во дней!';
    if($user['rub'] < $cost) $err[] = 'Недостаточно рублей на балансе!';
$sql = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_t` WHERE `top` = 1 ORDER BY `topdate` DESC LIMIT 1"));
	if(mysql_num_rows(mysql_query("SELECT * FROM `forum_t` WHERE `top` = 1")) == 3) $err[] = 'Топ темы заняты. Примерное время освобождения: '.times($sql['topdate']).'';
	if(!$err){
		mysql_query("UPDATE `forum_t` SET `top` = '1', `topdate` = '".$topdate."' WHERE `id` = '".$id_t."'");
		mysql_query("UPDATE `user` SET `rub` = `rub` - '".$cost."' WHERE `id` = '".$user['id']."'");
		header("Location: /forum/t".$id_t."");
		exit;
	
}
	 foreach($err as $err_info){
echo '<div class="err">';
echo $err_info.'';
echo '</div>';
}
	}

echo '<div class="post1"><form action="?top" method="post">
Кол-во дней:<br/>
<input type="text" name="days"><br/>
<input type="submit" name="top" value="Добавить"></form><br/>
Один день закрепления темы в топе: 4 рубля.<br/>
Убедитесь, что указанная сумма имеется на балансе.
</div>';
		  
} else {
echo '<div class="post2">Тема уже закреплена в топе</div>';
}
include '../../system/footer.php';				
?>